//
// Copyright 2000 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wMimeContentView:
//   Renders output of print command using mime type determined by file suffix.

#ifndef p4wMimeContentView_H
#define p4wMimeContentView_H


#include "p4wRequest.h"
#include "p4wView.h"

class p4wMimeContentView: public p4wView {

public:

				p4wMimeContentView(p4wRequest & Request);
	virtual			~p4wMimeContentView();


	//
	// Render this view.
	virtual void		Render();
	void			RenderLocal();

private:
	int CanBrowse(char *cmd);
	int RequiresDashO(char *cmd);
};

#endif // p4wMimeContentView_H

